Autore Topic: Problema installazione Wxpython2.8  (Letto 1292 volte)

Offline delaroche

  • *
  • Post: 19
  • Reputazione: 1
    • Mostra profilo
Problema installazione Wxpython2.8
« il: 06 Agosto 2014 ore 11:24 »
Buongiorno! Ho un problema con l'installazione di wxpython2.8, installandolo da ccr mi da errore. Ho cercato nel forum e notato che altre persone hanno avuto problemi con wxgtk (da cui dipende wxpython). Quello sono riuscito a installarlo ma l'altro no.
Non vorrei dire una baggianata ma ho notato che l'indirizzo che c'è nel PKGBUILD rimanda a wxpython3.0 e non al 2.8. Comunque questo è quanto c'è nel PKGBUILD:

Codice: [Seleziona]
pkgname=wxpython2.8
pkgver=2.8.12.1
pkgrel=4
pkgdesc="A wxWidgets GUI toolkit for Python"
arch=('x86_64')
license=('custom:wxWindows')
url="http://www.wxpython.org"
depends=('wxgtk2.8' 'python2')
makedepends=('mesa')
provides=('wxpython2.8')
source=(http://downloads.sourceforge.net/wxpython/wxPython-src-${pkgver}.tar.bz2
)
sha512sums=('4f826ccb57d5f4fc03fe7cae67499be70c727a99aebf9d153ea1060a21641642606
d44d079ba897c38b176846336aeaebc21d30d5c7a0abec3934d65cf4529f3')
conflicts=("wxpython")

build() {
  cd "${srcdir}/wxPython-src-${pkgver}"
  sed -i 's,/usr/$wx_cv_std_libpath,& /usr/lib,' configure

  ./configure --prefix=/usr \
              --libdir=/usr/lib \
              --with-gtk=2 \
              --with-opengl \
              --enable-unicode \
              --enable-graphics_ctx \
              --disable-optimize \
              --enable-mediactrl \
              --with-libpng=sys \
              --with-libxpm=sys \
              --with-libjpeg=sys \
              --with-libtiff=sys \
              --with-gnomeprint

  cd "${srcdir}/wxPython-src-${pkgver}/wxPython"
"PKGBUILD" [Incomplete last line] 43 lines, 1418 characters

Questo è il messaggio di errore che mi da se provo a installarlo:

Codice: [Seleziona]
WARNING: WXWIN not set in environment. Assuming '..'
ERROR: WX_CONFIG not specified and wx-config not found on the $PATH
sh: wx-config: command not found
sh: wx-config: command not found
sh: wx-config: command not found
sh: wx-config: command not found
sh: wx-config: command not found
Preparing CORE...
Preparing GLCANVAS...
sh: wx-config: command not found
sh: wx-config: command not found
Preparing STC...
Preparing GIZMOS...
running build
running build_py
copying wx/__version__.py -> build-gtk2.unicode/lib.linux-x86_64-2.7/wx
copying wx/build/build_options.py -> build-gtk2.unicode/lib.linux-x86_64-2.7/wx/build
package init file 'wx/lib/pubsub/pubsub1/__init__.py' not found (or not a regular file)
package init file 'wx/lib/pubsub/pubsub2/__init__.py' not found (or not a regular file)
package init file 'wx/tools/XRCed/plugins/__init__.py' not found (or not a regular file)
package init file 'wx/lib/pubsub/pubsub1/__init__.py' not found (or not a regular file)
package init file 'wx/lib/pubsub/pubsub2/__init__.py' not found (or not a regular file)
package init file 'wx/tools/XRCed/plugins/__init__.py' not found (or not a regular file)
running build_ext
building '_core_' extension
gcc -pthread -DNDEBUG -march=x86-64 -mtune=generic -O2 -pipe -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -fPIC -DSWIG_TYPE_TABLE=_wxPython_table -DSWIG_PYTHON_OUTPUT_TUPLE -DWXP_USE_THREAD=1 -UNDEBUG -Iinclude -Isrc -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/libdrm -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng16 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/python2.7 -c src/helpers.cpp -o build-gtk2.unicode/temp.linux-x86_64-2.7/src/helpers.o -O3 -pthread
In file included from src/helpers.cpp:16:0:
include/wx/wxPython/wxPython_int.h:19:19: fatal error: wx/wx.h: File o directory non esistente
 #include <wx/wx.h>
                   ^
compilation terminated.
error: command 'gcc' failed with exit status 1
==> ERRORE: Si è verificato un errore in build().
    L'operazione sta per essere interrotta...
The build failed.


Qualcuno sa come aiutarmi? Potrebbe avere a che fare con i driver Nvidia?
« Ultima modifica: 06 Agosto 2014 ore 13:15 da FranzMari »

Offline Cylon

  • *
  • Post: 1960
  • Reputazione: 78
  • CYbernetic Life fOrm Node
    • Mostra profilo
Re:Problema installazione Wxpython2.8
« Risposta #1 il: 06 Agosto 2014 ore 11:57 »
l'errore è che devono aver cambiato l'organizzazione interna dei file.. l'indirizzo ora dovrebbe essere:
Codice: [Seleziona]
http://sourceforge.net/projects/wxpython/files/wxPython/2.8.12.1/wxPython-src-2.8.12.1.tar.bz2/download
prova a sostituire nel PKGBUILD la stringa:
Codice: [Seleziona]
source=(http://downloads.sourceforge.net/wxpython/wxPython-src-${pkgver}.tar.bz2)
con:
Codice: [Seleziona]
source=(http://sourceforge.net/projects/wxpython/files/wxPython/2.8.12.1/wxPython-src-${pkgver}.tar.bz2/download)
ti scarichi il PKGBUILD fai la modifica e provi a vedere se la cosa funziona e se compila, non ho provato.. non sono su GNU/Linux ora.
We are the Cylons. Lower your firewalll and surrender.Your PC will adapt to service our GNU/Linux systems. Resistance is futile. Extermination of human race has began!
                                                                     Non rispondo a PM

Offline delaroche

  • *
  • Post: 19
  • Reputazione: 1
    • Mostra profilo
Re:Problema installazione Wxpython2.8
« Risposta #2 il: 06 Agosto 2014 ore 13:07 »
Grazie della risposta, ho scaricato il tarball e modificato la stringa. Purtroppo la compilaizone non va a buon fine neanche così. La cosa strana è che fino a poco tempo fa non avevo alcun problema con questo programma. Poi per alcuni motivi ho dovuto installare nuovamente Chakra e stavolta non me lo installa. Mi serve per questo programma http://www.trelby.org/ che un volenteroso ha messo su ccr, purtroppo come dipendenze ha wxgtk2.8 e wxpython2.8, ma se lo si installa da ccr quello va ad installare wxgtk3.0 e wxpython3.0 quindi ovviamente il programma non parte. Non so come fare! Su altre distro non ho mai avuto alcun problema d'installazione.

Offline FranzMari

  • *
  • Post: 2814
  • Reputazione: 103
  • [Senior Packager]
    • Mostra profilo
    • IMHO blog
Re:Problema installazione Wxpython2.8
« Risposta #3 il: 06 Agosto 2014 ore 13:23 »
Scrivi sulla pagina del pacchetto wxpython2.8 per segnalare il problema e su quella di trelby per chiedere a danyf90 di impostare come dipendenza wxpython2.8 invece di wxpython
«Il valore dell'essere umano si determina nella misura in cui sia grande o piccola la sua capacità di contribuire al bene collettivo.» Jigorō Kanō

Offline delaroche

  • *
  • Post: 19
  • Reputazione: 1
    • Mostra profilo
Re:Problema installazione Wxpython2.8
« Risposta #4 il: 06 Agosto 2014 ore 14:09 »
Ok, problemi segnalati.

Offline delaroche

  • *
  • Post: 19
  • Reputazione: 1
    • Mostra profilo
Re:Problema installazione Wxpython2.8
« Risposta #5 il: 07 Agosto 2014 ore 09:20 »
Il manutentore dice che il pacchetto funziona correttamente. Purtroppo io non sono riuscito a risolvere.

Offline FranzMari

  • *
  • Post: 2814
  • Reputazione: 103
  • [Senior Packager]
    • Mostra profilo
    • IMHO blog
Re:Problema installazione Wxpython2.8
« Risposta #6 il: 07 Agosto 2014 ore 11:10 »
Hai installato il pacchetto wxgtk?
«Il valore dell'essere umano si determina nella misura in cui sia grande o piccola la sua capacità di contribuire al bene collettivo.» Jigorō Kanō

Offline delaroche

  • *
  • Post: 19
  • Reputazione: 1
    • Mostra profilo
Re:Problema installazione Wxpython2.8
« Risposta #7 il: 07 Agosto 2014 ore 12:09 »
Sì, wxgtk2.8, quello non mi ha dato alcun problema.

Offline FranzMari

  • *
  • Post: 2814
  • Reputazione: 103
  • [Senior Packager]
    • Mostra profilo
    • IMHO blog
Re:Problema installazione Wxpython2.8
« Risposta #8 il: 07 Agosto 2014 ore 13:10 »
Allora non mi spiego l'errore: dice che gli mancano dei file che sono contenuti nel pacchetto wxgtk2.8.
Prova ad installare wxgtk 3.0 e poi ritenta la compilazione. Se così funziona, vuol dire che nel PKGBUILD non viene indicato di utilizzare i file della versione 2.8 (che si trovano in un percorso diverso rispetto a quelli della versione successiva), dunque vengono usati quelli della versione 3.0
«Il valore dell'essere umano si determina nella misura in cui sia grande o piccola la sua capacità di contribuire al bene collettivo.» Jigorō Kanō

Offline delaroche

  • *
  • Post: 19
  • Reputazione: 1
    • Mostra profilo
Re:Problema installazione Wxpython2.8
« Risposta #9 il: 07 Agosto 2014 ore 13:22 »
Caspita! Avevi ragione! Sciocco io che ho dato per scontato che richiedesse wxgtk2.8 e non ho provato. Grazie mille dell'aiuto. Metto risolto!  ;D

Offline FranzMari

  • *
  • Post: 2814
  • Reputazione: 103
  • [Senior Packager]
    • Mostra profilo
    • IMHO blog
Re:Problema installazione Wxpython2.8
« Risposta #10 il: 07 Agosto 2014 ore 13:28 »
Segnala la cosa al manutentore, digli di controllare il PKGBUILD di Arch per fixare  ;)
«Il valore dell'essere umano si determina nella misura in cui sia grande o piccola la sua capacità di contribuire al bene collettivo.» Jigorō Kanō

Offline delaroche

  • *
  • Post: 19
  • Reputazione: 1
    • Mostra profilo
Re:Problema installazione Wxpython2.8
« Risposta #11 il: 07 Agosto 2014 ore 13:53 »
Ok, segnalo il problema.

Offline delaroche

  • *
  • Post: 19
  • Reputazione: 1
    • Mostra profilo
Re:Problema installazione Wxpython2.8
« Risposta #12 il: 08 Agosto 2014 ore 23:31 »
Modifiche al pacchetto avvenute. Problema risolto.

 

Template by Homey | Sito ufficiale | Disclaimer